Bug 434510 - Plasma system monitor not showing graph for swap memory
Summary: Plasma system monitor not showing graph for swap memory
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: 5.21.2
Platform: Neon Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-16 19:11 UTC by Mohammed Sameer
Modified: 2021-05-07 17:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments
system monitor (13.52 KB, image/png)
2021-03-16 19:11 UTC, Mohammed Sameer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammed Sameer 2021-03-16 19:11:49 UTC
Created attachment 136750 [details]
system monitor

SUMMARY
Plasma system monitor is not showing graph for "swap memory" in Memory graph, in "History" section of sidebar.
Please see the attached screenshot.
STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.2
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-67-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 4 × Intel® Core™ i3-5010U CPU @ 2.10GHz
Memory: 3.8 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 5500

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2021-03-19 12:28:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-systemmonitor/-/merge_requests/108
Comment 2 Nate Graham 2021-05-07 17:54:23 UTC
Git commit 38b28765e2b4dde2fdb73bdc4e42e573b306cee8 by Nate Graham, on behalf of David Redondo.
Committed on 07/05/2021 at 17:54.
Pushed by ngraham into branch 'master'.

Use default opacity on history page

Otherwise sensors can be hidden beneath one another.
FIXED-IN: 5.22

M  +0    -6    src/pages/history.page

https://invent.kde.org/plasma/plasma-systemmonitor/commit/38b28765e2b4dde2fdb73bdc4e42e573b306cee8